<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/search_detail_ll"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    android:background="@color/ui_background">

    <androidx.swiperefreshlayout.widget.SwipeRefreshLayout
        android:id="@+id/list_refresh"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/list_rv"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@color/ui_surface" />
    </androidx.swiperefreshlayout.widget.SwipeRefreshLayout>

    <LinearLayout
        android:id="@+id/reuse_ll_loading"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:orientation="horizontal">

        <ProgressBar
            style="@style/android:Widget.Holo.ProgressBar"
            android:layout_width="25dp"
            android:layout_height="25dp" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="10dp"
            android:text="@string/search_searching"
            android:textColor="@color/content"
            android:textSize="14sp" />

    </LinearLayout>

    <include layout="@layout/reuse_no_connection" />

    <include
        android:id="@+id/reuse_none_data"
        layout="@layout/reuse_none_data"
        android:visibility="gone"
        tools:visibility="visible" />

    <include
        android:id="@+id/reuse_data_exception"
        layout="@layout/reuse_data_exception"
        android:visibility="gone"
        tools:visibility="visible" />

    <RelativeLayout
        android:visibility="invisible"
        android:id="@+id/container_menu_open"
        android:layout_width="138dp"
        android:layout_height="48dp"
        android:layout_alignParentRight="true"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="80dp"
        android:clickable="true"
        android:background="@drawable/bg_search_menu_open">

        <ImageView
            android:id="@+id/close_menu_btn"
            android:layout_width="16dp"
            android:layout_height="16dp"
            android:layout_marginTop="14dp"
            android:layout_marginRight="12dp"
            android:layout_alignParentRight="true"
            android:src="@drawable/ic_search_menu_selected" />

        <TextView
            android:visibility="invisible"
            android:id="@+id/seek_game_btn"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:includeFontPadding="false"
            android:paddingTop="16dp"
            android:paddingLeft="18dp"
            android:paddingRight="4dp"
            android:textColor="@color/text_theme"
            android:textSize="12sp"
            android:text="@string/seek_game" />

        <TextView
            android:visibility="invisible"
            android:id="@+id/seek_function_btn"
            android:layout_toRightOf="@+id/seek_game_btn"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:includeFontPadding="false"
            android:paddingTop="16dp"
            android:paddingLeft="4dp"
            android:paddingRight="4dp"
            android:textColor="@color/text_theme"
            android:textSize="12sp"
            android:text="@string/seek_function" />
    </RelativeLayout>

    <RelativeLayout
        android:visibility="invisible"
        android:id="@+id/container_menu_close"
        android:layout_width="46dp"
        android:layout_height="48dp"
        android:layout_alignParentRight="true"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="80dp"
        android:background="@drawable/bg_search_menu">

        <View
            android:visibility="invisible"
            android:id="@+id/blank"
            android:layout_width="40dp"
            android:layout_height="36dp"
            android:layout_marginTop="4dp"
            android:layout_marginLeft="6dp"
            android:background="@drawable/bg_search_menu_blank" />

        <ImageView
            android:id="@+id/menu_view"
            android:layout_width="16dp"
            android:layout_height="16dp"
            android:layout_marginTop="14dp"
            android:layout_marginRight="12dp"
            android:layout_alignParentRight="true"
            android:src="@drawable/ic_search_menu_unselect" />
    </RelativeLayout>
</RelativeLayout>